<?php

namespace Container\Mail;

use Helpers\Trad\Trad;

class ExtLitigeFou extends AbsMail
{
    public function getSujet(): string
    {
        return Trad::strBuild(
            $this->trad->t('Action demandée sur litige facture numéro @1@'),
            $this->listeData['FAC_FOU_REF']
        );
    }

    public function getMessage(): string
    {
        return implode("\r\n", [
            $this->trad->t('Bonjour,'),
            '',
            Trad::strBuild(
                $this->trad->t('La facture numéro @1@ datée du @2@ a été mise en litige pour la raison suivante @3@.'),
                $this->listeData['FAC_FOU_REF'],
                $this->listeData['FAC_DATE'],
                $this->listeData['INC_LIB']
            ),
            '',
            $this->trad->t('Vous trouverez ci-joint une copie de la facture concernée.'),
            $this->trad->t('Merci de prendre les mesures nécessaires pour régulariser la situation.'),
            '',
            $this->trad->t('Cordialement,'),
            $this->listeData['USER_NOM'],
        ]);
    }
}
